Show / Hide Table of Contents

# Class SanitizerTests

##### Inheritance

System.Object
SanitizerTests

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Test.Game.Text.Sanitizer

###### Assembly: Dalamud.Test.dll

##### Syntax

    public class SanitizerTests

### Methods

| Improve this Doc View Source

#### StringsAreSanitizedCorrectly(ClientLanguage, String, String)

##### Declaration

    [Theory]
    [InlineData(new object[]{ClientLanguage.English, "Pixie Cotton Hood of Healing", "Pixie Cotton Hood of Healing"})]
    [InlineData(new object[]{ClientLanguage.Japanese, "アラガントームストーン:真理", "アラガントームストーン:真理"})]
    [InlineData(new object[]{ClientLanguage.German, "Anemos-Pan\u0002\u0016\u0001\u0003zer\u0002\u0016\u0001\u0003hand\u0002\u0016\u0001\u0003schu\u0002\u0016\u0001\u0003he des Drachenbluts", "Anemos-Panzerhandschuhe des Drachenbluts"})]
    [InlineData(new object[]{ClientLanguage.German, "Bienen-Spatha †", "Bienen-Spatha"})]
    [InlineData(new object[]{ClientLanguage.French, "Le Diademe\u0002\u001d\u0001\u0003: terrains de chasse|Le Diademe\u0002\u001d\u0001\u0003: terrains de chasse", "Le Diademe: terrains de chasse|Le Diademe: terrains de chasse"})]
    [InlineData(new object[]{ClientLanguage.French, "Cuir de bœuf", "Cuir de boeuf"})]
    public void StringsAreSanitizedCorrectly(ClientLanguage clientLanguage, string unsanitizedString, string sanitizedString)

##### Parameters

Type | Name | Description
--- | --- | ---
ClientLanguage | clientLanguage |
System.String | unsanitizedString |
System.String | sanitizedString |